// fontevw.h : interface of the CFonteditView class
//
/////////////////////////////////////////////////////////////////////////////

class CFonteditView : public CView
{
protected: // create from serialization only
	CFonteditView();
	DECLARE_DYNCREATE(CFonteditView)
	BYTE bCurChar;
	int nZoom;
	HPALETTE hPal;
	LOGPALETTE *lp;
	BYTE *pWorkspace;
	int nWorkspaceSize;
	int nWorkspaceWidth;
	int nWorkspaceHeight;
	BitMapInfo bmi;
	BYTE *pScale;
	BYTE *pCurColor;
	BYTE CurColor;
	RECT rCurColor;
	RECT rCurChar;
	RECT rCurSmallChar;
	BOOL bDownInColor;
	BOOL bDownInDraw;
	bool bForce256x256;

	void GetCurImage(void);
	void SetCurImage(void);
// Attributes
public:
	CFonteditDoc* GetDocument();
	void NewFont(void);
	void UpdateFont(void);
	BYTE CurrChar(void) {return bCurChar;}

// Operations
public:

// Overrides
	// ClassWizard generated virtual function overrides
	//{{AFX_VIRTUAL(CFonteditView)
	public:
	virtual void OnDraw(CDC* pDC);  // overridden to draw this view
	protected:
	//}}AFX_VIRTUAL

// Implementation
public:
	virtual ~CFonteditView();
#ifdef _DEBUG
	virtual void AssertValid() const;
	virtual void Dump(CDumpContext& dc) const;
#endif

protected:

// Generated message map functions
protected:
	//{{AFX_MSG(CFonteditView)
	afx_msg void OnImageNext();
	afx_msg void OnImagePrev();
	afx_msg void OnImageZoomin();
	afx_msg void OnImageZoomout();
	afx_msg void OnMouseMove(UINT nFlags, CPoint point);
	afx_msg void OnLButtonDown(UINT nFlags, CPoint point);
	afx_msg void OnLButtonUp(UINT nFlags, CPoint point);
	afx_msg void OnRButtonDown(UINT nFlags, CPoint point);
	afx_msg void OnImageUndo();
	afx_msg void OnChar(UINT nChar, UINT nRepCnt, UINT nFlags);
	afx_msg void OnOptionsClubs();
	afx_msg void OnOptionsEnglish();
	afx_msg void OnOptionsForeign();
	afx_msg void OnImageChangeacwidths();
	afx_msg void OnOptionsMac();
	afx_msg void OnOptionsAll();
	afx_msg void OnGlobalchangeaandc();
	afx_msg void OnViewProperties();
	afx_msg void OnOptionsAlphabeticcharactersonly();
	//}}AFX_MSG
	DECLARE_MESSAGE_MAP()
};

#ifndef _DEBUG  // debug version in fontevw.cpp
inline CFonteditDoc* CFonteditView::GetDocument()
   { return (CFonteditDoc*)m_pDocument; }
#endif

/////////////////////////////////////////////////////////////////////////////
